from vapoursynth import core

def main():
	src = core.ffms2.Source(source=r'D:\movies\Sintel.2010.1080p.mkv')
	mprof = core.mv.Super(src)
	mvbw = core.mv.Analyse(mprof, blksize=32, overlap=8, isb=True)
	mvfw = core.mv.Analyse(mprof, blksize=32, overlap=8)
	rv = core.mv.FlowFPS(src, mprof, mvbw, mvfw, num=60000, den=1001)
	rv.set_output()

main()

# needs the following software:
# https://github.com/vapoursynth/vapoursynth/releases
# https://github.com/FFMS/ffms2/releases
# https://github.com/dubhater/vapoursynth-mvtools/releases
#
# usage:
# "C:\Program Files (x86)\VapourSynth\core64\vspipe.exe" --y4m dev\vapoursynth-fps-interp.py - | ffmpeg -i - -i D:\movies\Sintel.2010.1080p.mkv -map 0:v -map 1:a -acodec copy -vcodec libx264 -crf 10 vstest.mkv
